amule crash! need help!

By novkhan
May 6, 2004
Topic Status:
Not open for further replies.
  1. Goodday!
    Tried installing amule on RH9 .
    After installation , type "amule" and i got this error!

    OOPS! - Seems like aMule crashed
    --== BACKTRACE FOLLOWS: ==--

    [0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x3b) [0x81ba2f7]
    [1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d) [0x403c7c7d]
    [2] /lib/tls/libpthread.so.0 [0x40a50618]
    [3] /usr/lib/libwx_gtk-2.4.so.0(_ZN8wxString10AssignCopyEjPKc+0x6d) [0x40373ced]
    [4] /usr/lib/libwx_gtk-2.4.so.0(_ZN8wxStringaSEPKc+0x3e) [0x40373e4e]
    [5] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxHtmlWindow4InitEv+0xd1) [0x403eb131]
    [6] amule(_ZN10CServerWndC1EP8wxWindow+0x150) [0x81872b0]
    [7] amule(_ZN9CamuleDlgC1EP8wxWindow8wxString+0x388) [0x81bb9c0]
    [8] amule(_ZN9CamuleApp6OnInitEv+0x558) [0x81b6f14]
    [9] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x228) [0x40245468]
    [10] amule(main+0x17) [0x81b665f]
    [11] /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x42015574]
    [12] amule(_ZN17wxGenericTreeCtrlC2EP8wxWindowiRK7wxPointRK6wxSizelRK11wxValidatorRK8wxString+0xbd) [0x8092b81]
    Aborted
    [root@localhost root]#

    & Could anyone tell me how to uninstall amule ! Coz i want to try reinstalling again!
  2. Nodsu

    Nodsu Newcomer, in training Posts: 9,431

    How did you install it in the first place?

    You can install over your old amule just fine because you can't have any corrupt config files yet. Do you have the latest wx libraris?

    Do you have the latest version? I got this crash when I ran the 1.2.6 or whatever version.

    Now I use the 2.0.0 and I get to see the GUI before it crashes :p
  3. novkhan

    novkhan Newcomer, in training Topic Starter Posts: 37

    i installed amule using rpm at first.
    It didnt work !
    So i tried the downloading .tar.
    It didnt work too.
    Than i tried to remove both rpm and tar.
    Didn't work either!

    [root@localhost clam]# rpm -e aMule-1.2.6-1.i386-RH_9.0.rpm
    error: package aMule-1.2.6-1.i386-RH_9.0.rpm is not installed

    [root@localhost clam]# rpm -qa | grep amule
    [root@localhost clam]#

    [root@localhost clam]# make uninstall aMule-1.2.6.tar.gz
    make: *** No rule to make target `uninstall'. Stop.
    [root@localhost clam]# make uninstall amule
    make: *** No rule to make target `uninstall'. Stop.

    Please help!
  4. Nodsu

    Nodsu Newcomer, in training Posts: 9,431

    The basics of RPM and make..

    You don't uninstall RPM files, you uninstall packages. So you don't refer to a .rpm file but a package name. Package names are case sensitive. So when searching through rpm -qa you have to use grep -i <pattern>. To uninstall amule you would have to do "rpm -e aMule" (note the case sensitive package name and no version number/extension).

    How did you do the make install thing exactly? If you did the configure-make-make install routine then you do the make uninstall similarly - you go to the directory you extracted the tar.gz file to and run "make uninstall". Nothing more. That is if aMule actually uninstalls with "make uninstall". It may want to see "make distclean" instead. Read the documentation!

    I you never successfully an "make install" then you don't have to worry about the uninstall bit. Just delete the dirctory.

    A good piece of advice - avoid installing things from source packages whenever possible. Always try to use the automated package facility that your Linux uses.

    It doesn't hurt at all if you install a newer aMule over your old one. RPMs have built in scripts to handle upgrades. Just run "rpm -Uvh aMule-2blah.rpm" and it will neatly replace your old installation.
  5. novkhan

    novkhan Newcomer, in training Topic Starter Posts: 37

    Thanks , I manage to delete amule!
    I tried to reinstall again and i got the same error!
    I basically followed the entire procedures from
    www.amule.org
    from the "HOWTO" link... but i got the same error again!

    [root@localhost clam]# rpm -Uvh wxGTK-2.4.2-1.i386.rpm wxGTK-devel-2.4.2-1.i386.rpm
    Preparing... ########################################### [100%]
    package wxGTK-2.4.2-3.fr (which is newer than wxGTK-2.4.2-1) is already
    installed

    [root@localhost clam]# rpm -Uvh wxBase-2.4.2-1.i586.rpm
    Preparing... ########################################### [100%]
    package wxBase-2.4.2-1 is already installed

    [root@localhost clam]# ln -sf /usr/bin/wxgtk-2.4-config /usr/bin/wx-config

    [root@localhost clam]# ln -sf /usr/bin/wxbase-2.4-config /usr/bin/wxbase-config

    [root@localhost clam]# ldconfig

    [root@localhost clam]# dir
    abc.html libcryptopp-5.1-4_rh9-suse.i686.rpm
    aMule-1.2.6 libcryptopp-devel-5.1-4_rh9-suse.i686.rpm
    aMule-1.2.6-1.i386-RH_9.0.rpm wxBase-2.4.2-1.i586.rpm
    aMule-1.2.6.tar.gz wxGTK-2.4.2-1.i386.rpm
    clamav-0.70-1.i386.rpm wxGTK-devel-2.4.2-1.i386.rpm

    [root@localhost clam]# rpm -Uvh aMule-1.2.6-1.i386-RH_9.0.rpm
    Preparing... ########################################### [100%]
    1:aMule ########################################### [100%]

    [root@localhost clam]# amule
    Initialising aMule

    OOPS! - Seems like aMule crashed
    --== BACKTRACE FOLLOWS: ==--

    [0] amule(_ZN9CamuleApp16OnFatalExceptionEv+0x3b) [0x81ba2f7]
    [1] /usr/lib/libwx_gtk-2.4.so.0(wxFatalSignalHandler+0x2d) [0x403c7c7d]
    [2] /lib/tls/libpthread.so.0 [0x40a50618]
    [3] /usr/lib/libwx_gtk-2.4.so.0(_ZN8wxString10AssignCopyEjPKc+0x6d) [0x40373ced][4] /usr/lib/libwx_gtk-2.4.so.0(_ZN8wxStringaSEPKc+0x3e) [0x40373e4e]
    [5] /usr/lib/libwx_gtk-2.4.so.0(_ZN12wxHtmlWindow4InitEv+0xd1) [0x403eb131]
    [6] amule(_ZN10CServerWndC1EP8wxWindow+0x150) [0x81872b0]
    [7] amule(_ZN9CamuleDlgC1EP8wxWindow8wxString+0x388) [0x81bb9c0]
    [8] amule(_ZN9CamuleApp6OnInitEv+0x558) [0x81b6f14]
    [9] /usr/lib/libwx_gtk-2.4.so.0(_Z7wxEntryiPPc+0x228) [0x40245468]
    [10] amule(main+0x17) [0x81b665f]
    [11] /lib/tls/libc.so.6(__libc_start_main+0xe4) [0x42015574]
    [12] amule(_ZN17wxGenericTreeCtrlC2EP8wxWindowiRK7wxPointRK6wxSizelRK11wxValidatorRK8wxString+0xbd) [0x8092b81]
    Aborted

    [root@localhost clam]#
  6. Nodsu

    Nodsu Newcomer, in training Posts: 9,431

    Tha aMule crash trace show that the problem lies within wx (actually most aMule crashes are because of the UI).

    I see 2 problems above:

    1: you are installing an old version of aMule. Get the 2.x.x release candidate. Really, it's not that bad and RC3 can actually run for more than 3 hours straight :p

    2: you already have a wxBase installation that is different from wxBase recommended by aMule.
    ("package wxGTK-2.4.2-3.fr (which is newer than wxGTK-2.4.2-1) is already installed") try uninstalling your existing wxGTK (the -fr) version first.

    You don't need the -devel version unless you are planning to compile aMule by yourself.
  7. Jacobo221

    Jacobo221 Newcomer, in training

    Post at http://www.amule.org/amule (aMule's Forums). We're a nice community, you'll suffer no damage ;-)
    The proolem is you should use official wx packages, not the ditro's. On some distros (you're for example. probably you are on Gentoo or Fedora, both have well-known weird wx official packages) the wx packages are incredibly s**** up. Or, get the wx rpms from aMule's webpage, which are simply the official wx library compiled and packaged,with no modifications.
    Also, aMule backraces should be reported through gdb. Check http://www.amule.org/wiki/index.php/Backtraces ;-)
    Greetings and cya at aMule!

    P.S.: You could also join #amule at irc.freenode.net to get "instant" support. Have in mind that we aren't always in front of the computer though, Real Life (tm) goes first ;)
Topic Status:
Not open for further replies.


Add New Comment

TechSpot Members
Login or sign up for free,
it takes about 30 seconds.
You may also...


Get complete access to the TechSpot community. Join thousands of technology enthusiasts that contribute and share knowledge in our forum. Get a private inbox, upload your own photo gallery and more.